com.microfocus.awm.meta.modelextension

## Class FileDescriptorExtension

- java.lang.Object
- - com.microfocus.awm.meta.modelextension.ModelExtensionObject
  - - com.microfocus.awm.meta.modelextension.PreDefinedModelExtensionObject
    - - com.microfocus.awm.meta.modelextension.FileDescriptorExtension

- All Implemented Interfaces:
    ITargetReferenceExtension

      public class FileDescriptorExtension
      extends PreDefinedModelExtensionObject
      implements ITargetReferenceExtension

  Parsed `fileDescriptor` model extension element. File descriptors can be referenced by tool type parameters to be automatically created/associated in AWM models.
  Author:
    NicolasP

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileDescriptorExtension(java.lang.String pId, java.lang.String pLabel, FunctionPackageExtension pFunctionPackage, java.lang.String pPropertyDelimiter, java.lang.String pStructure, java.lang.String pPhysicalName, java.lang.String pType)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<TargetReferenceExtension>` | `geTargetReferenceExtensions()` `ModelExtensionObject`s can contain attributes which can reference other model objects.
    `java.util.List<FilePropertyExtension>` | `getFileProperties()` Gets the file descriptor's file property extensions.
    `EFileStructures` | `getFileStructures()` Gets the fileStructures.
    `EFileTypes` | `getFileTypes()` Gets the fileTypes.
    `java.lang.String` | `getPhysicalName()` Gets the physicalName.
    `org.eclipse.emf.ecore.EClass` | `getPreDefinedClass()` Gets the `EClass` that this model extension pre-defines.
    `java.lang.String` | `getPropertyDelimiter()` Gets the propertyDelimiter.
    `void` | `setPhysicalName(java.lang.String pPhysicalName)` Sets the physicalName.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ModelExtensionObject

      `getFunctionPackageExtension, getHelpContextId, getID, getLabel, isDeprecated, setDeprecated, setHelpContextId`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileDescriptorExtension

          public FileDescriptorExtension(java.lang.String pId,
                                         java.lang.String pLabel,
                                         FunctionPackageExtension pFunctionPackage,
                                         java.lang.String pPropertyDelimiter,
                                         java.lang.String pStructure,
                                         java.lang.String pPhysicalName,
                                         java.lang.String pType)

      Constructor.
      Parameters:
        `pId` - the unique ID
        `pLabel` - the model extension label of the file descriptor
        `pFunctionPackage` - the containing function package
        `pPropertyDelimiter` - the property delimiter value
        `pStructure` - the structure
        `pPhysicalName` - the physical name ( can contain property references )
        `pType` - the file descriptor type

  - ### Method Detail

    - #### getFileStructures

          public EFileStructures getFileStructures()

      Gets the fileStructures.
      Returns:
        the fileStructures

    - #### getPhysicalName

          public java.lang.String getPhysicalName()

      Gets the physicalName.
      Returns:
        the physicalName

    - #### setPhysicalName

          public void setPhysicalName(java.lang.String pPhysicalName)

      Sets the physicalName.
      Parameters:
        `pPhysicalName` - the physicalName to set

    - #### getFileTypes

          public EFileTypes getFileTypes()

      Gets the fileTypes.
      Returns:
        the fileTypes

    - #### getPropertyDelimiter

          public java.lang.String getPropertyDelimiter()

      Gets the propertyDelimiter.
      Returns:
        the propertyDelimiter

    - #### getFileProperties

          public java.util.List<FilePropertyExtension> getFileProperties()

      Gets the file descriptor's file property extensions.
      Returns:
        the file descriptor's file property extensions

    - #### geTargetReferenceExtensions

          public java.util.List<TargetReferenceExtension> geTargetReferenceExtensions()

      Description copied from interface: `ITargetReferenceExtension`
      `ModelExtensionObject`s can contain attributes which can reference other model objects. For each model object reference in an attribute a `TargetReferenceExtension` should be created and added to the list. This list should return all attribute model object references of a `ModelExtensionObject`.
      Specified by:
        `geTargetReferenceExtensions` in interface `ITargetReferenceExtension`
      Returns:
        a list of `TargetReferenceExtension`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ModelExtensionObject`

    - #### getPreDefinedClass

          public org.eclipse.emf.ecore.EClass getPreDefinedClass()

      Description copied from class: `PreDefinedModelExtensionObject`
      Gets the `EClass` that this model extension pre-defines.
      Specified by:
        `getPreDefinedClass` in class `PreDefinedModelExtensionObject`
      Returns:
        the `EClass` of the pre-defined object

Copyright © 2015 Micro Focus GmbH. All rights reserved.